## org.eclipse.emf.codegen.ecore.genmodel
Enum GenRuntimeVersion

    java.lang.Object
      java.lang.Enum<GenRuntimeVersion>
          org.eclipse.emf.codegen.ecore.genmodel.GenRuntimeVersion

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GenRuntimeVersion>, Enumerator

    public enum GenRuntimeVersion

extends java.lang.Enum<GenRuntimeVersion>
implements Enumerator

A representation of the literals of the enumeration 'Gen Runtime Version', and utility methods for working with them.

Since:
  2.4
See Also:
  `GenModelPackage.getGenRuntimeVersion()`

Enum Constant Summary
`EMF22` The 'EMF22' literal object
`EMF23` The 'EMF23' literal object
`EMF24` The 'EMF24' literal object
`EMF25` The 'EMF25' literal object
`EMF26` The 'EMF26' literal object

Field Summary
`static int` `EMF22_VALUE` The 'EMF22' literal value
`static int` `EMF23_VALUE` The 'EMF23' literal value
`static int` `EMF24_VALUE` The 'EMF24' literal value
`static int` `EMF25_VALUE` The 'EMF25' literal value
`static int` `EMF26_VALUE` The 'EMF26' literal value
`static java.util.List<GenRuntimeVersion>` `VALUES` A public read-only list of all the 'Gen Runtime Version' enumerators

Method Summary
`static GenRuntimeVersion` `get(int value)` Returns the 'Gen Runtime Version' literal with the specified integer value
`static GenRuntimeVersion` `get(java.lang.String literal)` Returns the 'Gen Runtime Version' literal with the specified literal value
`static GenRuntimeVersion` `getByName(java.lang.String name)` Returns the 'Gen Runtime Version' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static GenRuntimeVersion` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GenRuntimeVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EMF22

    public static final GenRuntimeVersion EMF22

  The 'EMF22' literal object.

  See Also:
    `EMF22_VALUE`

### EMF23

    public static final GenRuntimeVersion EMF23

  The 'EMF23' literal object.

  See Also:
    `EMF23_VALUE`

### EMF24

    public static final GenRuntimeVersion EMF24

  The 'EMF24' literal object.

  See Also:
    `EMF24_VALUE`

### EMF25

    public static final GenRuntimeVersion EMF25

  The 'EMF25' literal object.

  See Also:
    `EMF25_VALUE`

### EMF26

    public static final GenRuntimeVersion EMF26

  The 'EMF26' literal object.

  See Also:
    `EMF26_VALUE`

Field Detail

### EMF22_VALUE

    public static final int EMF22_VALUE

  The 'EMF22' literal value.

  See Also:
    `EMF22`, Constant Field Values

### EMF23_VALUE

    public static final int EMF23_VALUE

  The 'EMF23' literal value.

  See Also:
    `EMF23`, Constant Field Values

### EMF24_VALUE

    public static final int EMF24_VALUE

  The 'EMF24' literal value.

  See Also:
    `EMF24`, Constant Field Values

### EMF25_VALUE

    public static final int EMF25_VALUE

  The 'EMF25' literal value.

  Since:
    2.5
  See Also:
    `EMF25`, Constant Field Values

### EMF26_VALUE

    public static final int EMF26_VALUE

  The 'EMF26' literal value.

  Since:
    2.6
  See Also:
    `EMF26`, Constant Field Values

### VALUES

    public static final java.util.List<GenRuntimeVersion> VALUES

  A public read-only list of all the 'Gen Runtime Version' enumerators.

Method Detail

### values

    public static final GenRuntimeVersion[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GenRuntimeVersion c : GenRuntimeVersion.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GenRuntimeVersion valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static GenRuntimeVersion get(java.lang.String literal)

  Returns the 'Gen Runtime Version' literal with the specified literal value.

### getByName

    public static GenRuntimeVersion getByName(java.lang.String name)

  Returns the 'Gen Runtime Version' literal with the specified name.

### get

    public static GenRuntimeVersion get(int value)

  Returns the 'Gen Runtime Version' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`
  Returns:
    the value.

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`
  Returns:
    the name.

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`
  Returns:
    the literal.

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<GenRuntimeVersion>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.